<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.docus.server.gdszyzh.mapper.GdSzyZhEcgReportDataViewMapper">

    <select id="getByJzhs" resultType="com.docus.server.gdszyzh.entity.GdSzyZhReportDataView">
        select
            fileId as reportNo,
            fileName as reportTitle,
            fileModule as reportClass,
            fileTime as  reportTime,
            filePath as reportUrl,
            jzh
        from V_WZJ_GD
        where
            jzh in
        <foreach collection="jzhs" open="(" close=")" separator="," item="jzh">
            #{jzh}
        </foreach>
    </select>
</mapper>
